Page MenuHomePhabricator

On blank lines, you can select multiple formats from the format menu; the surface only responds to the first, until there is cotent
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

  1. Click on the 'Format paragraph' drop down menu on VE.
  2. Click on Page Title
  3. Without typing anything, select another option from the drop down menu such as Sub heading 1 or practically any option from the Format drop down menu.

Observation: The editor does not respond to any change and instead there is a tick mark appearing on each and every option one selects from the current and previous trial.

Browser Used : Both Google Chrome and Mozilla Firefox
OS : Windows 10

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptSep 29 2016, 12:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tanveer07 updated the task description. (Show Details)Sep 29 2016, 3:38 AM
Jdforrester-WMF renamed this task from Format paragraph drop down menu not responding to changes. to On blank lines, you can select multiple formats from the format menu; the surface only responds to the first, until there is cotent.Oct 3 2016, 9:53 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF added subscribers: DLynch, Esanders.
DLynch closed this task as Resolved.Sep 26 2017, 4:13 PM
DLynch claimed this task.

This was incidentally fixed in 2ffadb015 for T151594 -- the same selection fix that stops the error also makes the format changes be noticed.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 26 2017, 4:13 PM